C#ATIA

↑タイトル詐欺 主にCATIA V5 の VBA

Fusion360API

ボディをかき集める

Fusion360と他のCADを併用されている方いらっしゃいますか?Fusion360は色々なフォーマットのデータを読み込んでくれるので 助かっているのですが、Fusion360上ではこんな感じで表示しているのに 中間フォーマットでエクスポートしたものを、他のCADで読み込…

3Dな曲線をエクスポートしてみる1

修正すべき部分は多々ありますが、インポートに関しては 一区切り付け、エクスポートに取り掛かろうかと思ってます。最初はインポート機能は、・Fusion360でsirenの処理呼び出し ↓ ・siren側でFusion360用のPythonコードをファイルに書き出し ↓ ・Fusion360で書き…

スケッチをサーフェスにラップする別の方法を考える1

タイトル違いますが、こちらの続きです。 曲面上を2点クリックし直線を作りたい2 - C#ATIA前回の最後の方に、"ゴリゴリ計算しないで簡単に出来そう" のような事を書きましたが、思うように行かないです・・・。最大の原因がスケッチに書かれた曲線が、2Dではなく3Dな…

曲面上を2点クリックし直線を作りたい2

ここ一ヶ月ぐらいで、少し知識を得たのでこちらの続きです。 曲面上を2点クリックし直線を作りたい - C#ATIA 以前のコードでは、曲面上に出来上がる直線(正しくはスプライン)の 通過点が表示された状態で、非常に邪魔でした。 が、インポートスプリクトを取り組んだおかげで、…

Upし忘れた動画

こちらで上手くUp出来なかった動画 3DCAD中間ファイルの3Dな点・曲線をインポートするスプリクト - Autodesk Communityこれです。

点・曲線をインポートするスプリクト 修正2

こちらの続きです。 点・曲線をインポートするスプリクト 修正1 - C#ATIA 円弧に続いて円も! と思っているのですが、上手くいかないです。 スケッチ内の円は sketch ┗sketchCurves ┗sketchCircles Helpに属しているのですが、sketchCircles オブジェクトの sketchCircle…

点・曲線をインポートするスプリクト 修正1

先日、何とか3DCAD中間ファイルの3Dな点・曲線をインポートするスプリクトを Upしました。 3DCAD中間ファイルの3Dな点・曲線をインポートするスプリクト - Autodesk Community 多数ある問題点の一つなのですが、円・円弧をNurbs曲線として インポートしている部分の修正を考えています。 …

Igesファイルの3D曲線のインポートに挑む6

こちらの続きです。 Igesファイルの3D曲線のインポートに挑む5 - C#ATIA機能的に足りない部分もあるのですが、公開出来そうなレベルに なってきました。今更なのですが、Stepファイルが失敗してました…。 何とか今週中には公開したい(希望)

Igesファイルの3D曲線のインポートに挑む5

こちらの続きです。 Igesファイルの3D曲線のインポートに挑む4 - C#ATIA フォーラムでUpされたデータではどうしてもFusion360が落ちてしまい ましたが、やっと、開いた円弧が上手くいかない原因がわかりました。円弧の開始・終了の角度(単位 ラジアン)の精度が高…

Igesファイルの3D曲線のインポートに挑む4

こちらの続きです。 Igesファイルの3D曲線のインポートに挑む3 - C#ATIAこちらの動画から進展していません。未だに開いた円弧のインポートに苦戦中。 悪い事にエラーで止まるのではなく、Fusion360自体が落ちてしまい 原因の特定に時間がかかりました。 開いた円弧(…

パラメトリック時のsketch.includeがおかしい

続きのような・・・ Igesファイルの3D曲線のインポートに挑む3 - C#ATIA上手くいかないので、開いた円弧の作成テストです。円弧を作成し、同じ円弧をスケッチ内に3回取り込むだけのコードです。 #FusionAPI_python #Author-kantoku #Description-ArcTest2 import adsk.cor…

Igesファイルの3D曲線のインポートに挑む3

こちらの続きです。 Igesファイルの3D曲線のインポートに挑む2 - C#ATIA 相変わらず、時間が確保できないです。Helpを良く見たら、SketchCurves.sketchArcsやらSketchCurves.sketchCirclesの 各円弧のインスタンスは "スケッチ上にある円弧" に対してって書いてあり…

Igesファイルの3D曲線のインポートに挑む2

こちらの続きです。 Igesファイルの3D曲線のインポートに挑む1 - C#ATIA昨日の円弧インポートの失敗は、僕の処理が間違っている事が判りました。 (そりゃそうです・・・) 処理が面倒だった為、3点通過で円弧を作成していたのですが、 中心点と角度指定で作成した方が…

Igesファイルの3D曲線のインポートに挑む1

こちらの続きです。 Fusion360APIで外部実行ファイルを実行 - C#ATIA前回は、Fusion360からmruby_sirenを呼び出しデータの受け取り方が わかったので、より実践的にIgesファイルを読み込み3D曲線の情報から 曲線を作ります。GurbCADにUpしたデータでのテスト こちらは、…

Fusion360APIで外部実行ファイルを実行

何となく読み込みが出来そうな気がしてきたので、Fusion360からsirenを 呼び出すテストをしようと思ったのですが、大苦戦…。まず、mruby-sirenの実行ファイルを C:\Temp\siren_0.14d_mingw64\bin\mruby.exeの位置になるようにしました。続いて呼び出し用のsi…

Fusion360APIでLine Arc Nurbsを作成してみる2

こちらの続き Fusion360APIでLine Arc Nurbsを作成してみる1 - C#ATIA少しマシになりましたが、ちょっと遠回りだな… #FusionAPI_python #Author-kantoku #Description-CurvesTest2 #Line Arc Nurbs作成テスト import adsk.core, adsk.fusion, traceback _app = a…

Fusion360APIでLine Arc Nurbsを作成してみる1

こちらの続き Fusion360APIでNURBS曲線を作成してみる3 - C#ATIALine Arc Nurbsの各種入ったIgesをこちらにUpしました。 GrabCAD - CAD library (ファイル名:nurbs_curve_3d_sample1.igs)閉じた円弧はArc3Dでは都合悪いかも知れませんが(未テスト) sire…

Fusion360APIでNURBS曲線を作成してみる3

こちらの続きです。 Fusion360APIでNURBS曲線を作成してみる2 - C#ATIA前回のものを修正し、より実践的なNURBS曲線を作ってみます。 耐え切れなかった為、こちらにサンプルデータをUpしました。 GrabCAD - CAD library CATIAで作成した曲線と、確認用に押出しした…

Fusion360APIでNURBS曲線を作成してみる2

こちらの続きです。 Fusion360APIでNURBS曲線を作成してみる - C#ATIA前回スプリクトで作成したNURBS曲線の方法では、不要なコントロールポイントが 削除し切れなかったのですが、思い付きで遠回りな方法を行ったら 意図していた結果となりました。 #FusionAPI_python #Au…

Fusion360APIでNURBS曲線を作成してみる

避けては通れないNURBS曲線のスプリクト作成ですが、 困った程にサンプルが見当たりませんでした。手探りまくりでようやくこのようなコードが出来上がりました。 #FusionAPI_python #Author-kantoku #Description-NurbsCurve3D_Test1 #Nurbsカーブ作成テスト import adsk.c…

選択した面の周辺の面も、選択状態にする2

こちらの続きです。選択した面の周辺の面も、選択状態にする1 - C#ATIAPythonの内包表記、For文の前に記述するのは他の言語には見られない 異様さを最初は感じたものの、案外書きやすくて使いまくってますが、 処理速度がちょっと気になったので、時間も測定…

選択した面の周辺の面も、選択状態にする1

Fusion360は一つの面から、周辺の面を取得することが可能なんですね。面を選択し、選択した面とその面に接する面を選択した状態で 終了するスプリクトです。(言葉で表現するとわかりにくい・・・) #FusionAPI_python #Author-kantoku #Description-Surface_Around_S…

面の境界を取得する

面の境界を取得する際、やはり曲線になる場合があるためスケッチで作るしか 方法が無さそうです。 #FusionAPI_python #Author-kantoku #Description-GetBoundaryCurves #指定した面の境界を取得 import adsk.core, adsk.fusion, traceback _app = adsk.core.Appl…

曲面上を2点クリックし直線を作りたい

今後の事を考え、スプリクトで曲面上に線を作成したいと思っていました。Fusion360の3D空間で点・線・面を表現するには、"コンストラクション" が 一番相応しい気がしているのですが、"コンストラクション" で表現できるのは こちらの選択フィルタを見ても Help"点" "軸" "平面" だけな…

スプリクトで2要素間の距離測定をしたい5

こちらの続きです。 スプリクトで2要素間の距離測定をしたい4 - C#ATIA あちらのスクリプトをコマンドダイアログ(?)仕様に修正しました。 #FusionAPI_python #Author-kantoku #Description-GetExtremumPoint ver0.04 #曲線の指定方向の最大・最小位置に点を作成します。 im…

スケッチ作業中を判断する

CATIAの場合はワークベンチを判断すればわかるのですが、Fusion360の場合は ワークスペースをチェックしても、判断できません。 Fusion360はスケッチオブジェクトを指定して、そこに線を書いているので "スケッチワークスペース" なんて存在しないんですね。そこで思いついたのが、 "スケッチ停止"…

クリックした位置に点を作成する

前から "マウスでクリックした位置をワールド座標で取得したい" と思っていたのですが、 ガッカリするほど簡単に出来ました。実は、こちらのスクリーン座標からワールド座標に計算しなきゃダメかな? って思っていたんです。 MouseMoveEvent サンプル - C#ATIA Fusion360のウィンドウサイス…

スプリクトで2要素間の距離測定をしたい4

こちらの続きです。 スプリクトで2要素間の距離測定をしたい3 - C#ATIA やっと極値コマンド代わりのスプリクトが出来ました。 予め書いておきますが、イマイチな部分が多々ありますので。先にコードです。 #FusionAPI_python #Author-kantoku #Description-GetExtremumPoint v…

スプリクトで2要素間の距離測定をしたい3

こちらの続きです。 スプリクトで2要素間の距離測定をしたい2 - C#ATIA 昨日の計測コマンドの頼りなさを考えると、別の方法で考えます。 色々とHelp調べていると(Help見飽きました・・・)、 点-曲線の最短となる位置の曲線のパラメータが取得できる事がわかりました。こち…

スプリクトで2要素間の距離測定をしたい2

こちらの続きです。 スプリクトで2要素間の距離測定をしたい1 - C#ATIA 昨日文章にしたことを、手動で試してみてガッカリしました。 歪んだ局面に穴をあけ、ある程度遠いところに平面を作成しました。 この平面と穴部分の距離を測ったのですが、 32.304mmです。 …